# Generated by Django 2.0.5 on 2018-10-05 18:22

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cuenta', '0002_auto_20180903_0937'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('recaudacion', '__first__'),
    ]

    operations = [
        migrations.CreateModel(
            name='CreditoFiscal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('concepto', models.TextField(blank=True, null=True)),
                ('ingreso', models.FloatField(default=0)),
                ('egreso', models.FloatField(default=0)),
            ],
            options={
                'verbose_name_plural': 'Créditos Fiscales',
                'verbose_name': 'Crédito Fiscal',
                'db_table': 'empresa"."credito_fiscal',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='Empresa',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nro_registro_mercantil', models.CharField(max_length=9, unique=True)),
                ('nro_rif', models.CharField(max_length=12, unique=True)),
                ('razon_social', models.CharField(max_length=80)),
                ('nombre_comercial', models.CharField(max_length=80)),
                ('telefono', models.CharField(blank=True, max_length=19)),
                ('otro_telefono', models.CharField(blank=True, max_length=19)),
                ('email', models.EmailField(max_length=254, unique=True)),
                ('segundo_email', models.EmailField(blank=True, max_length=254)),
                ('domicilio_fiscal', models.CharField(max_length=250)),
                ('fecha_registro', models.DateField(auto_now_add=True)),
                ('saldo', models.FloatField(default=0)),
                ('funcionario', models.ForeignKey(db_column='funcionario_id', on_delete=django.db.models.deletion.PROTECT, related_name='funcionario_sdlc', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Empresas',
                'verbose_name': 'Empresa',
                'db_table': 'empresa"."empresa',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='RepresentanteLegal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254, unique=True)),
                ('telefono', models.CharField(blank=True, max_length=255, null=True)),
                ('celular', models.CharField(blank=True, max_length=255, null=True)),
                ('fecha_registro', models.DateField(auto_now_add=True)),
                ('firma_personal', models.BooleanField(default=False)),
                ('persona_contacto', models.BooleanField(default=False)),
                ('status', models.BooleanField(default=True)),
                ('funcionario', models.ForeignKey(db_column='funcionario_id', on_delete=django.db.models.deletion.PROTECT, related_name='funcionario_resp', to=settings.AUTH_USER_MODEL)),
                ('persona', models.OneToOneField(db_column='persona_id', on_delete=django.db.models.deletion.PROTECT, related_name='datos_personales', to='cuenta.Saime')),
            ],
            options={
                'verbose_name_plural': 'Representantes Legales',
                'verbose_name': 'Representante Legal',
                'db_table': 'empresa"."representante_legal',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='Software',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('software', models.CharField(max_length=30)),
                ('descripcion', models.CharField(max_length=100)),
                ('fecha_alta', models.DateField(auto_now_add=True)),
            ],
            options={
                'verbose_name_plural': 'Software',
                'verbose_name': 'Software',
                'db_table': 'empresa"."software',
                'ordering': ['-id'],
            },
        ),
        migrations.AddField(
            model_name='empresa',
            name='representante_legal',
            field=models.ManyToManyField(to='empresa.RepresentanteLegal'),
        ),
        migrations.AddField(
            model_name='empresa',
            name='software',
            field=models.ManyToManyField(to='empresa.Software'),
        ),
        migrations.AddField(
            model_name='empresa',
            name='zona_postal',
            field=models.ForeignKey(blank=True, db_column='zona_postal_id', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='zona_id', to='cuenta.ZonaPostal', verbose_name='Zona postal'),
        ),
        migrations.AddField(
            model_name='creditofiscal',
            name='empresa',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='empresa.Empresa'),
        ),
        migrations.AddField(
            model_name='creditofiscal',
            name='tramite',
            field=models.OneToOneField(blank=True, db_column='pago_id', null=True, on_delete=django.db.models.deletion.PROTECT, to='recaudacion.Tramite'),
        ),
    ]
